#
# spec file for package pychecker
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           pychecker
Version:        0.8.19
Release:        16.2
Url:            http://sourceforge.net/projects/pychecker
Summary:        A tool for finding bugs in python source code
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         %{name}-%{version}.tar.bz2
Source1:        pychecker.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
%{py_requires}
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%else
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%description
PyChecker is a tool for finding bugs in python source code. It finds
problems that are typically caught by a compiler for less dynamic
languages, like C and C++.  Because of the dynamic nature of python,
some warnings may be incorrect; however, spurious warnings should be
fairly infrequent.

%prep
%setup -q

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
install -Dm644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1

%files
%defattr(-,root,root)
%doc COPYRIGHT ChangeLog KNOWN_BUGS MAINTAINERS pycheckrc README TODO
%doc %{_mandir}/man1/*
%{_bindir}/pychecker
%{python_sitelib}/*

%changelog
* Wed Jan  2 2013 toddrme2178@gmail.com
- Fix building on SLES
* Thu Nov 10 2011 saschpe@suse.de
- Spec file cleanup:
  * SPDX-style license tag (BSD-3-Clause)
  * Removed outdated %%clean section, AutoReqProv and authors in descr.
  * Use sed inplace
  * No need to patch 'pychecker' binary
* Tue Apr 12 2011 hpj@urpla.net
- update to 0.8.19
* Tue Aug 11 2009 matejcik@suse.cz
- build as noarch on newer distros
- don't delete buildroot in %%install
* Fri Sep 12 2008 matejcik@suse.cz
- update to 0.8.18
  * support for python2.5 (finally)
  * bunch of new command line switches
  * better warnings about special methods
* Thu Oct 19 2006 jmatejek@suse.cz
- update to 0.8.17
- bugfixes
- new command line options for better output control
- support for skipping broken extensions
- support for new opcodes
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 10 2005 jmatejek@suse.cz
- update to 0.8.16
- fixed path in /usr/bin/pychecker
* Wed Jun 30 2004 mcihar@suse.cz
- update to 0.8.14
* Wed Nov 19 2003 mcihar@suse.cz
- no root for build
- updated to 0.8.13
- updated man page
- versioned dependency on python
* Tue Jun 17 2003 mcihar@suse.cz
- install man page
* Mon Jun 16 2003 mcihar@suse.cz
- use distutils
* Tue Apr  1 2003 mcihar@suse.cz
- added python-devel to neededforbuild
* Tue Mar  4 2003 mcihar@suse.cz
- added man page
* Mon Jan  6 2003 mcihar@suse.cz
- upgrade to 0.8.12:
  * Add --isliteral option to warn when using is/is not against literal
    (e.g., XXX is 5    YYY is not 'abcdef', etc)
  * Add --modulo1 option to warn when using (expr %% 1),
    which is constant when expr is an integer or string
  * Add -4/--noeffect option to disable warnings for 'Statement has no effect'
  * self is not first argument warning can be disabled with -S/--self ''
  * Don't print duplicate warnings when importing pychecker
  * Fix other spurious warnings when importing pychecker
  * Fix bug for spurious invalid arguments when passing a dict inline
  * Fix bug for spurious Statement has no effect when print >> x, ... ,
  * Add @option_file command line argument to read options from a file
    (used on platforms which can't have too many options, ie Windows)
  * Fix several crashes
* Tue Jun 11 2002 vinil@suse.cz
- upgrade to 0.8.11
* Thu May 23 2002 ro@suse.de
- fix filelist
* Wed May 15 2002 vinil@suse.cz
- use %%{_lib} instead of '/lib'
* Thu May  2 2002 vinil@suse.cz
- upgrade to 0.8.10
* Sun Feb  3 2002 vinil@suse.cz
- upgrade to 0.8.9
* Fri Jan 18 2002 vinil@suse.cz
- upgrade to 0.8.8
* Fri Jan 11 2002 ro@suse.de
- fixed to build on python-2.2
* Mon Jan  7 2002 vinil@suse.cz
- upgrade to 0.8.7
* Tue Nov 27 2001 vinil@suse.cz
- upgrade to 0.8.6
* Fri Nov 16 2001 vinil@suse.cz
- initial release 0.8.5
